> For the complete documentation index, see [llms.txt](https://docs.autoenhance.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.autoenhance.ai/orders/managing-orders/deleting.md).

# Deleting

This API endpoint allows you to delete orders that you own. To delete an order, you must provide the `order_id` and a valid API key.

{% tabs %}
{% tab title="JavaScript" %}

```javascript
const orderId = "ID_OF_YOUR_ORDER";
const apiKey = "YOUR_API_KEY";

const deleteOrder = async (orderId, apiKey) => {
    const deleteOrderResponse = await fetch(
      `https://api.autoenhance.ai/v3/orders/${orderId}`,
      { 
        method: "DELETE" 
        headers:{
          "x-api-key": apiKey,  
        }
      }
    );
}
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

order_id = "ID_OF_YOUR_ORDER"
api_key = "YOUR_API_KEY"

def delete_order(order_id, api_key):
    url = f"https://api.autoenhance.ai/v3/orders/{order_id}"
    headers = {
        "x-api-key": api_key
    }
    
    response = requests.delete(url, headers=headers)
```

{% endtab %}

{% tab title="PHP" %}

```php
$orderId = "ID_OF_YOUR_ORDER";
$apiKey = "YOUR_API_KEY";

function deleteOrder($orderId, $apiKey) {
    $url = "https://api.autoenhance.ai/v3/orders/$orderId";
    $options = array(
        'http' => array(
            'header'  => "Content-Type: application/json\r\n" .
                         "x-api-key: $apiKey\r\n",
            'method'  => 'DELETE'
        )
    );
    $context = stream_context_create($options);
    $result = file_get_contents($url, false, $context);
    if ($result === FALSE) {
        echo "Error deleting order";
    } else {
        echo "Order deleted successfully";
    }
}
```

{% endtab %}

{% tab title="cURL" %}

```
curl -X DELETE \
  'https://api.autoenhance.ai/v3/orders/ID_OF_YOUR_ORDER' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY'
```

{% endtab %}
{% endtabs %}

### Specification

{% openapi src="<https://api.autoenhance.ai/docs/openapi.spec>" path="/v3/images/{id}" method="delete" %}
<https://api.autoenhance.ai/docs/openapi.spec>
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.autoenhance.ai/orders/managing-orders/deleting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
